import { d as defineEventHandler, u as useLogger, a as readBody, c as createError, U as User } from '../../../nitro/nitro.mjs';
import 'luxon';
import '@sequelize/core';
import 'html-to-text';
import 'zod';
import 'crypto';
import 'node:fs';
import 'sharp';
import 'path';
import 'node:stream';
import 'jsdom';
import 'dompurify';
import 'mime-types';
import 'fs';
import 'fs/promises';
import 'linkify-html';
import '@peertube/http-signature';
import 'jsonld';
import 'lodash.intersection';
import 'email-templates';
import 'node:http';
import 'node:https';
import 'node:crypto';
import 'node:events';
import 'node:buffer';
import 'node:path';
import 'vue';
import 'vue-router';
import 'dotenv';
import 'url';
import 'bcryptjs';
import 'slugify';
import 'umzug';
import 'consola';
import '@sequelize/core/decorators-legacy';
import 'util';
import 'mitt';
import 'ical.js';
import 'node:url';
import 'fast-xml-parser';

const check_recover_code_post = defineEventHandler(async (event) => {
  const log = useLogger("user/check_recover_code");
  const { recover_code } = await readBody(event);
  if (!recover_code) {
    throw createError({ status: 400 });
  }
  const user = await User.findOne({ where: { recover_code } });
  if (!user) {
    log.error("User not found");
    throw createError({ status: 400 });
  }
  return { email: user.email };
});

export { check_recover_code_post as default };
